| IDA SDK

Public Attributes | Public Member Functions | Protected Attributes | List of all members
fixup_data_t Struct Reference

## Public Attributes
sel_t | sel
| selector of the target segment. More...
ea_t | off
| target offset More...
adiff_t | displacement
| displacement (offset from the target)

## Public Member Functions
| fixup_data_t (fixup_type_t type_, uint32 flags_=0)
fixup_type_t | get_type (void) const
| Fixup type Types of fixups.
void | set_type (fixup_type_t type_)
void | set_type_and_flags (fixup_type_t type_, uint32 flags_=0)
bool | is_custom (void) const
| is_fixup_custom()
uint32 | get_flags () const
| Fixup flags Fixup flags.
bool | is_extdef (void) const
void | set_extdef (void)
void | clr_extdef (void)
bool | is_unused (void) const
void | set_unused (void)
void | clr_unused (void)
bool | has_base (void) const
| Is fixup relative?
bool | was_created (void) const
| Is fixup artificial?
ea_t | get_base () const
| Get base of fixup. More...
void | set_base (ea_t new_base)
| Set base of fixup. More...
void | set_sel (const segment_t *seg)
void | set_target_sel ()
| Set selector of fixup to the target. More...
void | set (ea_t source) const
| set_fixup()
bool | get (ea_t source)
| get_fixup()
const fixup_handler_t * | get_handler () const
| get_fixup_handler()
const char * | get_desc (qstring *buf, ea_t source) const
| get_fixup_desc()
int | calc_size () const
| calc_fixup_size()
uval_t | get_value (ea_t ea) const
| get_fixup_value()
bool | patch_value (ea_t ea) const
| patch_fixup_value()

## Protected Attributes
fixup_type_t | type
uint32 | flags
uval_t | base

## Member Function Documentation

## ◆ get_base()

ea_t fixup_data_t::get_base | ( |  | ) | const
| inline

Get base of fixup.

Note
  The target is calculated as `get_base() + off`.

See also
  FIXUPF_REL

## ◆ set_base()

void fixup_data_t::set_base | ( | ea_t | new_base | ) |
| inline

Set base of fixup.

The target should be set before a call of this function.

## ◆ set_target_sel()

void fixup_data_t::set_target_sel | ( |  | ) |
| inline

Set selector of fixup to the target.

The target should be set before a call of this function.

## Member Data Documentation

## ◆ sel

sel_t fixup_data_t::sel

selector of the target segment.

BADSEL means an absolute (zero based) target.

See also
  FIXUPF_REL

## ◆ off

ea_t fixup_data_t::off

target offset

Note
  The target is calculated as `get_base() + off`.

The documentation for this struct was generated from the following file:

- fixup.hpp